import {Component} from '@angular/core';

@Component({
  selector: 'vim-keys',
  styles: [`
    table {
        font-family: arial, sans-serif;
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
    }

    tr:nth-child(even) {
        background-color: #dddddd;
    }
  `],
  template: `
    <table>
      <tr>
        <th>:q[uit]</th>
        <th>Quit Vim. This fails when changes have been made.</th>
      </tr>
      <tr>
        <th>:q[uit]!</th>
        <th>Quit without writing.</th>
      </tr>
      <tr>
        <th>:cq[uit]</th>
        <th>Quit always, without writing.</th>
      </tr>
      <tr>
        <th>:wq</th>
        <th>Write the current file and exit.</th>
      </tr>
      <tr>
        <th>:wq!</th>
        <th>Write the current file and exit always.</th>
      </tr>
      <tr>
        <th>:wq {file}</th>
        <th>Write to {file}. Exit if not editing the last</th>
      </tr>
      <tr>
        <th>:wq! {file}</th>
        <th>Write to {file} and exit always.</th>
      </tr>
      <tr>
        <th>:[range]wq[!]</th>
        <th>[file] Same as above, but only write the lines in [range].</th>
      </tr>
      <tr>
        <th>ZZ</th>
        <th>Write current file, if modified, and exit.</th>
      </tr>
      <tr>
        <th>ZQ</th>
        <th>Quit current file and exit (same as ":q!").</th>
      </tr>

    </table>
  `
})
export class VimKeysComponent {

  constructor() {
  }

}
